> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.runautomat.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runautomat.com/_mcp/server.

# List member-visible project resources across all sources and stages

GET https://studio.runautomat.com/api/v1/projects/{projectId}/workflow-intake/resources

Reference: https://docs.runautomat.com/api-reference/programmatic-access/programmatic-access-api/workflow-intake/intake-resources-list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required)

### Query parameters

- `type` (enum, optional)
  - Allowed values: `data`, `file`
- `page` (integer, optional, default: 1)
- `pageSize` (integer, optional, default: 20)

## Response

### 200

Declared primary response

- `resources` (list of ApiV1ProjectsProjectIdWorkflowIntakeResourcesGetResponsesContentApplicationJsonSchemaResourcesItems, required)
- `totalItems` (integer, required)
- `totalPages` (integer, required)
- `currentPage` (integer, required)

## Types

### ApiV1ProjectsProjectIdWorkflowIntakeResourcesGetResponsesContentApplicationJsonSchemaResourcesItems

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `data`, `file`
- `name` (string, required)
- `description` (string, required, nullable)
- `visibleTo` (enum, required)
  - Allowed values: `authors`, `members`
- `source` (enum, required)
  - Allowed values: `manual`, `customer`, `api`, `workflow`
- `lifecycle` (enum, required, nullable)
  - Allowed values: `development`, `preview`, `active`
- `intakeStatus` (enum, required, nullable)
  - Allowed values: `requested`, `pending`, `accepted`
- `intakeInstructions` (string, required, nullable)
- `revision` (integer, required, nullable)
- `requestedAt` (string, required, nullable)
- `submittedAt` (string, required, nullable)
- `returnedAt` (string, required, nullable)
- `acceptedAt` (string, required, nullable)
- `createdAt` (string, required)
- `updatedAt` (string, required)
- `fileMetadata` (ApiV1ProjectsProjectIdWorkflowIntakeResourcesGetResponsesContentApplicationJsonSchemaResourcesItemsFileMetadata, optional, nullable)

### ApiV1ProjectsProjectIdWorkflowIntakeResourcesGetResponsesContentApplicationJsonSchemaResourcesItemsFileMetadata

- `originalFilename` (string, required, nullable)
- `mimeType` (string, required, nullable)
- `sizeBytes` (double, required, nullable)

## Examples

**Response**

```json
{
  "resources": [
    {
      "id": "string",
      "type": "data",
      "name": "string",
      "description": "string",
      "visibleTo": "authors",
      "source": "manual",
      "lifecycle": "development",
      "intakeStatus": "requested",
      "intakeInstructions": "string",
      "revision": 1,
      "requestedAt": "string",
      "submittedAt": "string",
      "returnedAt": "string",
      "acceptedAt": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "fileMetadata": {
        "originalFilename": "string",
        "mimeType": "string",
        "sizeBytes": 1.1
      }
    }
  ],
  "totalItems": 1,
  "totalPages": 1,
  "currentPage": 1
}
```

**SDK Code**

```python
import requests

url = "https://studio.runautomat.com/api/v1/projects/projectId/workflow-intake/resources"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://studio.runautomat.com/api/v1/projects/projectId/workflow-intake/resources';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://studio.runautomat.com/api/v1/projects/projectId/workflow-intake/resources"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://studio.runautomat.com/api/v1/projects/projectId/workflow-intake/resources")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://studio.runautomat.com/api/v1/projects/projectId/workflow-intake/resources")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://studio.runautomat.com/api/v1/projects/projectId/workflow-intake/resources', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://studio.runautomat.com/api/v1/projects/projectId/workflow-intake/resources");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://studio.runautomat.com/api/v1/projects/projectId/workflow-intake/resources")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```